Skip to main content
PUT
Update tasks

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Заголовки

X-Tenant-Id
integer

Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.

Параметры пути

task_id
integer
обязательно

Тело

title
string
обязательно
Maximum string length: 255
description
string
type
integer | null
status
enum<string>
  • open - Открыто
  • in_progress - В работе
  • done - Выполнено
  • cancelled - Отменено
Доступные опции:
open,
in_progress,
done,
cancelled
priority
  • 1 - Низкий
  • 2 - Средний
  • 3 - Высокий
  • 4 - Срочный
Доступные опции:
1,
2,
3,
4
Требуемый диапазон: 0 <= x <= 32767
assignee
integer | null
due_at
string<date-time> | null
remind_at
string<date-time> | null
extra
any
comment
string
write-only

Ответ

200 - application/json
id
integer
обязательно
read-only
title
string
обязательно
Maximum string length: 255
result
string
обязательно
read-only
author
integer | null
обязательно
read-only
finished_at
string<date-time> | null
обязательно
read-only
reminded_at
string<date-time> | null
обязательно
read-only
overdue_notified_at
string<date-time> | null
обязательно
read-only
created_at
string<date-time>
обязательно
read-only
updated_at
string<date-time>
обязательно
read-only
description
string
type
integer | null
status
enum<string>
  • open - Открыто
  • in_progress - В работе
  • done - Выполнено
  • cancelled - Отменено
Доступные опции:
open,
in_progress,
done,
cancelled
priority
  • 1 - Низкий
  • 2 - Средний
  • 3 - Высокий
  • 4 - Срочный
Доступные опции:
1,
2,
3,
4
Требуемый диапазон: 0 <= x <= 32767
assignee
integer | null
due_at
string<date-time> | null
remind_at
string<date-time> | null
extra
any